//
//  RecordViewController.swift
//  PlayVideoApplication
//
//  Created by elcaptain1 on 9/13/17.
//  Copyright © 2017 Tanuja. All rights reserved.
//

import UIKit
import MediaPlayer
import MobileCoreServices

class RecordViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    func startCameraFromViewController(viewController: UIViewController, withDelegate delegate: UIImagePickerControllerDelegate & UINavigationControllerDelegate) -> Bool {
        if UIImagePickerController.isSourceTypeAvailable(.camera) == false {
            return false
        }
        
        let cameraController = UIImagePickerController()
        cameraController.sourceType = .camera
        cameraController.mediaTypes = [kUTTypeMovie as NSString as String]
        cameraController.allowsEditing = false
        cameraController.delegate = delegate
        
        present(cameraController, animated: true, completion: nil)
        return true
    }
    func video(videoPath: NSString, didFinishSavingWithError error: NSError?, contextInfo info: AnyObject) {
        var title = "Success"
        var message = "Video was saved"
        if let _ = error {
            title = "Error"
            message = "Video failed to save"
        }
        let alert = UIAlertController(title: title, message: message, preferredStyle: .alert)
        alert.addAction(UIAlertAction(title: "OK", style: UIAlertActionStyle.cancel, handler: nil))
        present(alert, animated: true, completion: nil)
    }

    @IBAction func btnStartRecording(_ sender: AnyObject) {
     startCameraFromViewController(viewController: self, withDelegate: self)
    }

}

extension RecordViewController: UIImagePickerControllerDelegate {
    func imagePickerController(_ picker: UIImagePickerController, didFinishPickingMediaWithInfo info: [String : Any]) {
                let mediaType = info[UIImagePickerControllerMediaType] as! NSString
                dismiss(animated: true, completion: nil)
                // Handle a movie capture
                if mediaType == kUTTypeMovie {
                    guard let path = (info[UIImagePickerControllerMediaURL] as! NSURL).path else { return }
                    if UIVideoAtPathIsCompatibleWithSavedPhotosAlbum(path) {
                        UISaveVideoAtPathToSavedPhotosAlbum(path, self, #selector(RecordViewController.video(videoPath:didFinishSavingWithError:contextInfo:)), nil)
                    }
                }
    }
//    private func imagePickerController(picker: UIImagePickerController, didFinishPickingMediaWithInfo info: [String : AnyObject]) {
//        let mediaType = info[UIImagePickerControllerMediaType] as! NSString
//        dismiss(animated: true, completion: nil)
//        // Handle a movie capture
//        if mediaType == kUTTypeMovie {
//            guard let path = (info[UIImagePickerControllerMediaURL] as! NSURL).path else { return }
//            if UIVideoAtPathIsCompatibleWithSavedPhotosAlbum(path) {
//                UISaveVideoAtPathToSavedPhotosAlbum(path, self, #selector(RecordViewController.video(videoPath:didFinishSavingWithError:contextInfo:)), nil)
//            }
//        } 
//    }
}

extension RecordViewController: UINavigationControllerDelegate {
}
